# $Revision: 1.26 $, $Date: 2002/08/06 07:47:33 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	UUlib
Summary:	Convert::UUlib Perl module
Summary(cs):	Modul Convert::UUlib pro Perl
Summary(da):	Perlmodul Convert::UUlib
Summary(de):	Convert::UUlib Perl Modul
Summary(es):	Mdulo de Perl Convert::UUlib
Summary(fr):	Module Perl Convert::UUlib
Summary(it):	Modulo di Perl Convert::UUlib
Summary(ja):	Convert::UUlib Perl ⥸塼
Summary(ko):	Convert::UUlib  
Summary(no):	Perlmodul Convert::UUlib
Summary(pl):	Modu Perla Convert::UUlib
Summary(pt):	Mdulo de Perl Convert::UUlib
Summary(pt_BR):	Mdulo Perl Convert::UUlib
Summary(ru):	  Perl Convert::UUlib
Summary(sv):	Convert::UUlib Perlmodul
Summary(uk):	  Perl Convert::UUlib
Summary(zh_CN):	Convert::UUlib Perl ģ
Name:		perl-Convert-UUlib
Version:	0.213
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::UUlib - Perl interface to the uulib library.

%description -l pl
Convert::UUlib - interfejs Perla dla biblioteki uulib.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README example-decoder
%{perl_sitearch}/Convert
%dir %{perl_sitearch}/auto/Convert
%dir %{perl_sitearch}/auto/Convert/UUlib
%{perl_sitearch}/auto/Convert/UUlib/UUlib.bs
%{perl_sitearch}/auto/Convert/UUlib/autosplit.ix
%attr(755,root,root) %{perl_sitearch}/auto/Convert/UUlib/UUlib.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Convert-UUlib.spec,v $
Revision 1.26  2002/08/06 07:47:33  kloczek
- updated to 0.213.

Revision 1.25  2002/07/16 23:23:54  ankry
- translations, cleaning
- added %%{perl_sitearch}/Convert, %%{perl_sitearch}/auto/Convert dirs
- release 2

Revision 1.24  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.23  2002/07/11 07:58:00  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:30:12  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:10:31  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:24:42  depesz
adapterized

Revision 1.16  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/09/20 11:35:01  mis
- autoupdated to 0.201

Revision 1.14  2001/05/11 08:21:17  mis
- autoupdated to 0.111

Revision 1.13  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.12  2001/04/17 12:06:53  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/19 13:19:03  mis
- updated (by autoup) to 0.11

Revision 1.9  2001/01/25 20:03:43  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2000/12/30 03:17:58  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:36:44  pius
- updated to 0.06

Revision 1.2  1999/11/05 21:24:10  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
